cmake_minimum_required(VERSION 3.0)
project(movingliner)
IF (WIN32)

    #MESSAGE(STATUS "Now is windows")

ENDIF ()
set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} C:/Qt/Qt5.12.7/5.12.7/mingw73_64)
#set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} C:/Qt/Qt5.9.0/5.9/msvc2017_64/  )
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(QT Core Gui Network WebSockets SerialPort Widgets)

find_package(Qt5 REQUIRED ${QT})
include_directories("source/LinearShutter")
add_executable(movingliner
        main.cpp
        source/LinearShutter/VSMD12XControl.cpp
        source/LinearShutter/VSMD12XControl.h
        source/LinearShutter/ZZ_SeiralPort.cpp
        source/LinearShutter/ZZ_SeiralPort.h

        )
qt5_use_modules(movingliner ${QT})





